IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ioad::AdiosWrapper Class Reference

`#include <AdiosWrapper.h>`

Inheritance diagram for Ioad::AdiosWrapper:
[legend]
Collaboration diagram for Ioad::AdiosWrapper:
[legend]

## Public Member Functions
| AdiosWrapper (MPI_Comm communicator, const std::string &filename, bool is_input, unsigned long rank, const Ioss::PropertyManager &properties)
| AdiosWrapper (AdiosWrapper &&wrapper)
| ~AdiosWrapper ()
adios2::StepStatus | BeginStep ()
void | EndStep ()
template<typename T >
void | DefineMetaVariable (const std::string &meta_name, const std::string &variable_name="")
template<typename T >
void | DefineVariable (const std::string &name, const adios2::Dims &shape=adios2::Dims(), const adios2::Dims &start=adios2::Dims(), const adios2::Dims &count=adios2::Dims(), const bool constantDims=false)
template<typename T >
void | Put (const std::string &name, const T *value)
template<typename T >
void | DefineAttribute (const std::string &name, const T &value)
template<typename T >
void | InquireAndPut (const std::string &name, const T *value)
template<typename T >
T | GetAttribute (const std::string &attribute_name, bool ignore_missing=false, T default_value=T())
template<typename T >
void | GetSync (adios2::Variable< T > var, T *data)
template<typename T >
void | GetSync (std::string var_name, T *data)
template<typename T >
void | GetSync (adios2::Variable< T > var, T &data)
template<typename T >
void | GetSync (std::string var_name, T &data)
template<typename T >
void | PutMetaVariable (const std::string &meta_name, T value, const std::string &variable_name="")
template<typename T >
T | GetMetaVariable (const std::string &meta_name, const std::string &variable_name="")
std::pair< std::string, std::string > | DecodeMetaName (std::string name) const
std::string | EncodeMetaVariable (const std::string &meta_name, const std::string &variable_name="") const
bool | IsStreaming () const

## Private Member Functions
adios2::IO | IOInit (const Ioss::PropertyManager &properties, bool is_input)
adios2::Engine | EngineInit (const std::string &filename, bool is_input)

## Private Attributes
const std::string | m_MetaSeparator {"::"}
const int | m_Rank
const MPI_Comm | m_Communicator
bool | m_OpenStep
bool | m_IsStreaming
int | count_real_begin = 0

## Constructor & Destructor Documentation

## ◆ AdiosWrapper() [1/2]

Ioad::AdiosWrapper::AdiosWrapper | ( | MPI_Comm | communicator,
|  | const std::string & | filename,
|  | bool | is_input,
|  | unsigned long | rank,
|  | const Ioss::PropertyManager & | properties
| ) |  |

## ◆ AdiosWrapper() [2/2]

Ioad::AdiosWrapper::AdiosWrapper | ( | AdiosWrapper && | wrapper | ) |

## ◆ ~AdiosWrapper()

Ioad::AdiosWrapper::~AdiosWrapper | ( |  | ) |

## Member Function Documentation

## ◆ BeginStep()

adios2::StepStatus Ioad::AdiosWrapper::BeginStep | ( |  | ) |

## ◆ DecodeMetaName()

std::pair< std::string, std::string > Ioad::AdiosWrapper::DecodeMetaName | ( | std::string | name | ) | const

## ◆ DefineAttribute()

template<typename T >

void Ioad::AdiosWrapper::DefineAttribute | ( | const std::string & | name,
|  | const T & | value
| ) |  |

## ◆ DefineMetaVariable()

template<typename T >

void Ioad::AdiosWrapper::DefineMetaVariable | ( | const std::string & | meta_name,
|  | const std::string & | variable_name = `""`
| ) |  |

## ◆ DefineVariable()

template<typename T >

void Ioad::AdiosWrapper::DefineVariable | ( | const std::string & | name,
|  | const adios2::Dims & | shape = `adios2::Dims()`,
|  | const adios2::Dims & | start = `adios2::Dims()`,
|  | const adios2::Dims & | count = `adios2::Dims()`,
|  | const bool | constantDims = `false`
| ) |  |

## ◆ EncodeMetaVariable()

std::string Ioad::AdiosWrapper::EncodeMetaVariable | ( | const std::string & | meta_name,
|  | const std::string & | variable_name = `""`
| ) |  | const

## ◆ EndStep()

void Ioad::AdiosWrapper::EndStep | ( |  | ) |

## ◆ EngineInit()

adios2::Engine Ioad::AdiosWrapper::EngineInit | ( | const std::string & | filename,
|  | bool | is_input
| ) |  |
| private

## ◆ GetAttribute()

template<typename T >

T Ioad::AdiosWrapper::GetAttribute | ( | const std::string & | attribute_name,
|  | bool | ignore_missing = `false`,
|  | T | default_value = `T()`
| ) |  |

## ◆ GetMetaVariable()

template<typename T >

T Ioad::AdiosWrapper::GetMetaVariable | ( | const std::string & | meta_name,
|  | const std::string & | variable_name = `""`
| ) |  |

## ◆ GetSync() [1/4]

template<typename T >

void Ioad::AdiosWrapper::GetSync | ( | adios2::Variable< T > | var,
|  | T & | data
| ) |  |

## ◆ GetSync() [2/4]

template<typename T >

void Ioad::AdiosWrapper::GetSync | ( | adios2::Variable< T > | var,
|  | T * | data
| ) |  |

## ◆ GetSync() [3/4]

template<typename T >

void Ioad::AdiosWrapper::GetSync | ( | std::string | var_name,
|  | T & | data
| ) |  |

## ◆ GetSync() [4/4]

template<typename T >

void Ioad::AdiosWrapper::GetSync | ( | std::string | var_name,
|  | T * | data
| ) |  |

## ◆ InquireAndPut()

template<typename T >

void Ioad::AdiosWrapper::InquireAndPut | ( | const std::string & | name,
|  | const T * | value
| ) |  |

## ◆ IOInit()

adios2::IO Ioad::AdiosWrapper::IOInit | ( | const Ioss::PropertyManager & | properties,
|  | bool | is_input
| ) |  |
| private

## ◆ IsStreaming()

bool Ioad::AdiosWrapper::IsStreaming | ( |  | ) | const
| inline

## ◆ Put()

template<typename T >

void Ioad::AdiosWrapper::Put | ( | const std::string & | name,
|  | const T * | value
| ) |  |

## ◆ PutMetaVariable()

template<typename T >

void Ioad::AdiosWrapper::PutMetaVariable | ( | const std::string & | meta_name,
|  | T | value,
|  | const std::string & | variable_name = `""`
| ) |  |

## Member Data Documentation

## ◆ count_real_begin

int Ioad::AdiosWrapper::count_real_begin = 0
| private

## ◆ m_Communicator

const MPI_Comm Ioad::AdiosWrapper::m_Communicator
| private

## ◆ m_IsStreaming

bool Ioad::AdiosWrapper::m_IsStreaming
| private

## ◆ m_MetaSeparator

const std::string Ioad::AdiosWrapper::m_MetaSeparator {"::"}
| private

## ◆ m_OpenStep

bool Ioad::AdiosWrapper::m_OpenStep
| private

## ◆ m_Rank

const int Ioad::AdiosWrapper::m_Rank
| private

The documentation for this class was generated from the following files:

- src/adios/AdiosWrapper.h
- src/adios/AdiosWrapper.C